/*
 * Copyright 2024 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/
/*
 * How to set up clock using clock driver functions:
 *
 * 1. Setup clock sources.
 *
 * 2. Set up all selectors to provide selected clocks.
 *
 * 3. Set up all dividers.
 */

/* clang-format off */
/* TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
!!GlobalInfo
product: Clocks v14.0
processor: RW610
package_id: RW610ETA2I
mcu_data: ksdk2_0
processor_version: 0.16.5
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS **********/
/* clang-format on */

#include "fsl_power.h"
#include "fsl_clock.h"
#include "clock_config.h"

/*******************************************************************************
 * Definitions
 ******************************************************************************/

/*******************************************************************************
 * Variables
 ******************************************************************************/

/*******************************************************************************
 ************************ BOARD_InitBootClocks function ************************
 ******************************************************************************/
void BOARD_InitBootClocks(void)
{
    BOARD_BootClockRUN();
}

/*******************************************************************************
 ********************** Configuration BOARD_BootClockRUN ***********************
 ******************************************************************************/
/* clang-format off */
/* TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
!!Configuration
name: BOARD_BootClockRUN
called_from_default_init: true
outputs:
- {id: audio_pll_clk.outFreq, value: 4246732800/518400011 MHz}
- {id: aux0_pll_clk.outFreq, value: 260 MHz}
- {id: aux1_pll_clk.outFreq, value: 640/3 MHz}
- {id: avpll_ch1_clkout.outFreq, value: 4246732800/518400011 MHz}
- {id: avpll_ch2_clkout.outFreq, value: 4246732800/518400011 MHz}
- {id: cau_slp_clk.outFreq, value: 4 MHz}
- {id: clk_32k.outFreq, value: 32 kHz}
- {id: clk_pmu_sys.outFreq, value: 8 MHz}
- {id: els_128m_clk.outFreq, value: 128 MHz}
- {id: els_256m_clk.outFreq, value: 256 MHz}
- {id: els_64m_clk.outFreq, value: 64 MHz}
- {id: ffro_clk_div4.outFreq, value: 640/53 MHz}
- {id: hclk.outFreq, value: 40 MHz}
- {id: lposc_clk_i.outFreq, value: 1 MHz}
- {id: main_clk.outFreq, value: 40 MHz}
- {id: main_pll_clk.outFreq, value: 130 MHz}
- {id: osevent_fclk.outFreq, value: 1 MHz}
- {id: otp_fuse_32m_clk.outFreq, value: 32 MHz}
- {id: refclk_phy.outFreq, value: 40 MHz}
- {id: refclk_sys.outFreq, value: 40 MHz}
- {id: sfro_clk_i.outFreq, value: 16 MHz}
- {id: sysosc_clk_i.outFreq, value: 40 MHz}
- {id: t3pll_mci_213p3m.outFreq, value: 640/3 MHz}
- {id: t3pll_mci_256m.outFreq, value: 256 MHz}
- {id: t3pll_mci_48_60m_irc.outFreq, value: 2560/53 MHz}
- {id: t3pll_mci_flexspi_clk.outFreq, value: 2560/7 MHz}
- {id: tcpu_mci_clk.outFreq, value: 260 MHz}
- {id: tcpu_mci_flexspi_clk.outFreq, value: 312 MHz}
- {id: tddr_mci_enet_clk.outFreq, value: 50 MHz}
- {id: tddr_mci_flexspi_clk.outFreq, value: 320 MHz}
- {id: wdt0_fclk.outFreq, value: 1 MHz}
settings:
- {id: SYSCTL2.T3_FBDIV.scale, value: '64', locked: true}
- {id: SYSCTL2.T3_REFDIV.scale, value: '1', locked: true}
sources:
- {id: CAU.XTAL_OSC.outFreq, value: 40 MHz, enabled: true}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS **********/
/* clang-format on */

/*******************************************************************************
 * Variables for BOARD_BootClockRUN configuration
 ******************************************************************************/
const clock_avpll_config_t avpllConfig_BOARD_BootClockRUN =
    {
        .ch1Freq = kCLOCK_AvPllChFreq8p192m,      /* AVPLL channel frequency 8.192 MHz */
        .ch2Freq = kCLOCK_AvPllChFreq8p192m,      /* AVPLL channel frequency 8.192 MHz */
        .enableCali = true,                       /* AVPLL calibration is enabled */
    };
/*******************************************************************************
 * Code for BOARD_BootClockRUN configuration
 ******************************************************************************/
void BOARD_BootClockRUN(void)
{
    /* Disable GDET and VSensors */
    POWER_DisableGDetVSensors();
    /* Enable CAU sleep clock for PMU */
    if ((PMU->CAU_SLP_CTRL & PMU_CAU_SLP_CTRL_SOC_SLP_RDY_MASK) == 0U)
    {
        /* Enable the CAU sleep clock. */
        CLOCK_EnableClock(kCLOCK_RefClkCauSlp);
    }
    if ((SYSCTL2->SOURCE_CLK_GATE & SYSCTL2_SOURCE_CLK_GATE_REFCLK_SYS_CG_MASK) != 0U)
    {
        /* Enable the REFCLK_SYS clock. */
        CLOCK_EnableClock(kCLOCK_RefClkSys);
    }
    /* Initialize T3 PLL and enable outputs that are not clock gated. */
    CLOCK_InitT3RefClk(kCLOCK_T3MciIrc48m);
    /* Enable FFRO - T3 PLL 48/60 MHz IRC clock output */
    CLOCK_EnableClock(kCLOCK_T3PllMciIrcClk);
    /* Enable T3 PLL 213.3 MHz clock output */
    CLOCK_EnableClock(kCLOCK_T3PllMci213mClk);
    /* Enable T3 PLL 256 MHz clock output */
    CLOCK_EnableClock(kCLOCK_T3PllMci256mClk);
    /* Enable FFRO - T3 PLL FlexSPI clock output */
    CLOCK_EnableClock(kCLOCK_T3PllMciFlexspiClk);
    BOARD_ClockPreConfig();
    /* Set core clock to safe system oscillator clock for initialization of other sources. */
    CLOCK_AttachClk(kSYSOSC_to_MAIN_CLK);
    CLOCK_SetClkDiv(kCLOCK_DivSysCpuAhbClk, 1);
    /* Initialize TCPU PLL and enable outputs that are not clock gated. */
    CLOCK_InitTcpuRefClk(3120000000UL, kCLOCK_TcpuFlexspiDiv10);
    /* Enable TCPU PLL MCI clock output */
    CLOCK_EnableClock(kCLOCK_TcpuMciClk);
    /* Enable TCPU PLL FlexSPI clock output */
    CLOCK_EnableClock(kCLOCK_TcpuMciFlexspiClk);
    /* Initialize TDDR PLL and enable outputs that are not clock gated. */
    CLOCK_InitTddrRefClk(kCLOCK_TddrFlexspiDiv10);
    /* Enable TDDR PLL MCI ENET clock output */
    CLOCK_EnableClock(kCLOCK_TddrMciEnetClk);
    /* Enable TDDR PLL FlexSPI clock output */
    CLOCK_EnableClock(kCLOCK_TddrMciFlexspiClk);
    /* Initialize AVPLL and enable both channels. */
    CLOCK_InitAvPll(&avpllConfig_BOARD_BootClockRUN);
    /* Set up clock selectors - Attach clocks to the peripheries */
    CLOCK_AttachClk(kRC32K_to_CLK32K);                 /* Switch CLK32K to RC32K */
    CLOCK_AttachClk(kLPOSC_to_OSTIMER_CLK);                 /* Switch OSTIMER_CLK to LPOSC */
    CLOCK_AttachClk(kLPOSC_to_WDT0_CLK);                 /* Switch WDT0_CLK to LPOSC */
    CLOCK_AttachClk(kXTAL_to_SYSOSC_CLK);                 /* Switch SYSOSC_CLK to XTAL */
    /* Set up dividers */
    CLOCK_SetClkDiv(kCLOCK_DivAudioPllClk, 1U);         /* Set .AUDIOPLLCLKDIV divider to value 1 */
    CLOCK_SetClkDiv(kCLOCK_DivPllFrgClk, 1U);         /* Set .FRGPLLCLKDIV divider to value 1 */
    CLOCK_SetClkDiv(kCLOCK_DivMainPllClk, 2U);         /* Set .MAINPLLCLKDIV divider to value 2 */
    CLOCK_SetClkDiv(kCLOCK_DivAux0PllClk, 1U);         /* Set .AUX0PLLCLKDIV divider to value 1 */
    CLOCK_SetClkDiv(kCLOCK_DivAux1PllClk, 1U);         /* Set .AUX1PLLCLKDIV divider to value 1 */
    CLOCK_SetClkDiv(kCLOCK_DivSystickClk, 1U);         /* Set .SYSTICKFCLKDIV divider to value 1 */
    CLOCK_SetClkDiv(kCLOCK_DivPmuFclk, 5U);         /* Set .PMUFCLKDIV divider to value 5 */
    BOARD_ClockPostConfig();
    /*!< Set SystemCoreClock variable. */
    SystemCoreClock = BOARD_BOOTCLOCKRUN_HCLK;
}

